function [date_t]=transf_date(date,type)

% type=1 => transforme une matrice de date de la forme mois/jour/année de type cell
% en une matrice de la forme numéro du jour dans l'année de type num.

% type=2 => transforme une matrice de date de la forme mois/jour/année de type cell
% en une matrice de la forme jourmoisannée de type num.

% date_1=zeros(size(date,1),1);
jour=[];
mois=[];
annee=[];
if size(date,1)>1e5
    nb_c1=round(size(date,1)/1e5);
    for i=1:nb_c1
        date_1=cell2mat(date(((i-1)*1e5+1):(min(i*1e5,size(date,1))),:));
        mois=[mois;date_1(:,1:2)];
        jour=[jour;date_1(:,4:5)];
        annee=[annee;date_1(:,7:10)];
    end;
else
    date_1=cell2mat(date);
    mois=date_1(:,1:2);
    jour=date_1(:,4:5);
    annee=date_1(:,7:10);
end;



if type==1
    mois=str2num(mois);
    jour=str2num(jour);
    annee=str2num(annee);
    date_t=zeros(size(date,1),1);
    for i=1:size(date,1)
        if mois(i)<9
            date_t(i)=30*(mois(i)-1)+jour(i)+floor(mois(i)/2);
        else
            date_t(i)=30*(mois(i)-1)+jour(i)+ceil(mois(i)/2);
        end;
        if mois(i)>2
            if annee(i)/4==floor(annee(i)/4)
                date_t(i)=date_t(i)-1;
            else
                date_t(i)=date_t(i)-2;
            end;
        end;
    end;
end;

if type==2
    date_tt=[jour mois annee];
    if size(date_tt,1)<100000
        date_t=str2num(date_tt);
    else
        nb_c=round(size(date_tt,1)/100000);
        date_t=[];
        for i=1:nb_c
            date_t=[date_t;str2num(date_tt(((i-1)*100000+1):(min(i*100000,size(date_tt,1))),:))];
        end;
    end;
end;
